using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using TMPro;
using UnityEngine;
using UnityEngine.Events;
using UnityEngine.UI;
using System.Reflection;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
			CategoryBuilder.Create("Aot Eldia", "A category for Aot Eldia items.", ModAPI.LoadSprite("Category5.png"));
            //Scout Corps
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Scout Corps",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Wings of Freedom.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("scout_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("scout.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Scout Corps Off-dutty
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Scout Corps Off-dutty",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Wings of Freedom.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("Scout off duty_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Scout off duty.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            ); 

//ODM Gear Sword
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),
                    NameOverride = "ODM Gear Sword",
                    NameToOrderByOverride = "g",
                    DescriptionOverride = "STAB STAB.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("Sword_.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("swordaot.png");
						Instance.FixColliders();
                    }
                }
            );
//Garrison Corps Off-dutty
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Garrison Corps Off-dutty",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Close the Gate.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("Garrison off duty_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Garrison off duty.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Garrison Corps 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Garrison Corps ",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Close the Gate.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("Garrison_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Garrison.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//MFP 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Military police",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "police.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("MFP_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("MFP.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//MFP off
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Military police Off-dutty",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "police.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("Military Police off duty_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Military Police off duty.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "3D Manuever Gear S4 ", // Name.
                    DescriptionOverride = "A Box used for holding gas and extra blades",// Description
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Advanced 3dmg1_.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
                    {
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Advanced 3dmg1.png", 1.25f);//This line gets the component of the SpriteRenderer and overrides it by looking in the files. The 2f is the scale of the sprite.

                            Instance.FixColliders();  
                    }
                }
            );

               //Recruit Corps
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Recuit Corps",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "I need help i need mama.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("recruit_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("recruit.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Recruit Corps off
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Recuit Corps Off-Duty",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "I need help i need mama.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("recruit off_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("recruit off.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Anti Personal Control
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Anti Personal Control",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Anti Personal Control.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("Anti Personal Control_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Anti Personal Control.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//eren
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Eren Yeager",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "I want freedom.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("eren_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("eren.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//mikasa
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Mikasa Ackerman",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Ereh Ereh Ereeeeeeeeh!.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("mikasa_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("mikasa.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Armin
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Armin Alret",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Lets see Ocan Together eren.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("armin_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("armin.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "3D Manuever Gear 2", // Name.
                    DescriptionOverride = "a small mechanical device ", // Description
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("3dmg2_.png", 5f), //Thumbnail
                    AfterSpawn = (Instance) =>
                    {
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("3dmg2.png", 3.25f); //This line gets the component of the SpriteRenderer and overrides it by looking in the files. The 2f is the scale of the sprite.

                            Instance.FixColliders();  
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "3D Manuever Gear 2 Anti personnel control", // Name.
                    DescriptionOverride = "a small mechanical device ", // Description
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("Anti Personal Control 3dmg_.png", 5f), //Thumbnail
                    AfterSpawn = (Instance) =>
                    {
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Anti Personal Control 3dmg .png", 3.25f); //This line gets the component of the SpriteRenderer and overrides it by looking in the files. The 2f is the scale of the sprite.

                            Instance.FixColliders();  
                    }
                }
            );

//Anti Personnel control pistol
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Revolver"),
                    NameOverride = "Anti Personnel control pistol",
                    NameToOrderByOverride = "Z3",
                    DescriptionOverride = "A powerful gun, use by kenny's troops",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("ragingbull2_.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ragingbull2.png", 1f);
                    }
                }
            );

//Anti Personnel control pistol 2
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Revolver"),
                    NameOverride = "Advanced Eldia pistol",
                    NameToOrderByOverride = "Z3",
                    DescriptionOverride = "A powerful gun, use by Scout's troops",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("Advanced gun_.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Advanced gun.png", 1f);
                    }
                }
            );


//winter coat
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Winter Coat",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Winter Coat used by troops of Eldia.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("Winter Coat_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Winter Coat.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//MFP Com
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "MFP Commander",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "MFP Commander.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("MFP officer_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("MFP officer.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//MFP Com off
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "MFP Commander off-Duty",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "MFP Commander.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("MFP officer off_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("MFP officer off.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//scout Com
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "scout Commander",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "scout Commander.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("scout officer_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("scout officer.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//scout com off
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "scout Commander off-Duty",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "scout Commander.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("scout officer off_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("scout officer off.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                   
                    }
                }
            );

//SnowFur2
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Mirror"),
                    NameOverride = "White SnowFur",
                    NameToOrderByOverride = "SnowFur",
                    DescriptionOverride = "fur hood",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("SnowFur2_.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SnowFur2.png", 1f);
                        Instance.FixColliders();
                    }
                }
            );

//Spyglass
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Spyglass",
                    NameToOrderByOverride = "Spyglass",
                    DescriptionOverride = "i see i see them",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("Spyglass_.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Spyglass.png", 1f);
                        Instance.FixColliders();
                    }
                }
            );

//Cape
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cape",
                    NameToOrderByOverride = "Cape",
                    DescriptionOverride = "its just corps cape",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("Cape_.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cape.png", 1f);
                        Instance.FixColliders();
                    }
                }
            );

//Cape on
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cape hooded",
                    NameToOrderByOverride = "Cape hooded",
                    DescriptionOverride = "its just corps cape",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("Hood Cape_.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hood Cape.png", 1f);
                        Instance.FixColliders();
                    }
                }
            );


//Garrsion com off
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Garrison Commander off-Duty",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Garrison Commander.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("Garrison officer off_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Garrison officer off.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                   
                    }
                }
            );

//Eren Yeager Sesson 3
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Eren Yeager S3",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "If i will kill every enemy over there will we be finnaly free ?.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("eren 3_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("eren 3.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                   
                    }
                }
            );

//Eren Yeager Sesson 2
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Eren Yeager S2",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "I HATE YOU DAMN TRAITORRRRRRS.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("eren 2_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("eren 2.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                   
                    }
                }
            );


//Garrsion com 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Garrison Commander",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Garrison Commander.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("Garrison officer_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Garrison officer.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                   
                    }
                }
            );

//MFP S4
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Military Police S4",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Advanced.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("MFP s4_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("MFP s4.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                   
                    }
                }
            );

//Garrison S4
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Garrison S4",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Advanced.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("Gar s4_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Gar s4.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                   
                    }
                }
            );

//Scout S4
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Scout S4",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Advanced.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("Scout s4_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Scout s4.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                   
                    }
                }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Winter Coat Hood",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "typical hat.",
                          CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                          ThumbnailOverride = ModAPI.LoadSprite("Winter Coat Hood_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Winter Coat Hood.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 2f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 0;

                         }
                     }
            );

//Musket
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Flintlock Pistol"),
                    NameOverride = "Musket",
                    DescriptionOverride = "Eldian Musket used by solliders of Eldia",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("Musket_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.name = "Musket";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Musket.png");//This line gets the component of the SpriteRenderer and overrides it by looking in the files. The 2f is the scale of the sprite.

                        //Colliders

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }

                        var stock = Instance.AddComponent<BoxCollider2D>();
                        stock.offset = new Vector2(0.544f, 0.056f);
                        stock.size = new Vector2(1.196f, 0.091f);

                        var main = Instance.AddComponent<BoxCollider2D>();
                        main.offset = new Vector2(-0.183f, 0.029f);
                        main.size = new Vector2(0.256f, 0.143f);

                        var barrel = Instance.AddComponent<BoxCollider2D>();
                        barrel.offset = new Vector2(-0.469f, -0.034f);
                        barrel.size = new Vector2(0.312f, 0.157f);



                        //Firearm
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(1.1433f, 0.0833f);  
                        Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.03f;
                        var customCartridge = UnityEngine.Object.Instantiate(Instance.GetComponent<FirearmBehaviour>().Cartridge);
                        customCartridge.Recoil *= 1.2f;
                        customCartridge.Damage *= 1.2f;
                        customCartridge.ImpactForce *= 1.2f;
                        Instance.GetComponent<FirearmBehaviour>().Cartridge = customCartridge;
                        

                        ModAPI.KeepExtraObjects();   
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Annie Leonheart",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "owner of female titan",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("annie_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("annie.png");                                 
                        person.SetBodyTextures(skin,null,null,1);                           
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                        var head = Instance.transform.GetChild(5);
                        var hat = new GameObject("Brick");
                        hat.transform.SetParent(head);
                        hat.transform.localPosition = new Vector3(0f, 0f);
                        hat.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        hat.transform.localScale = new Vector3(1f, 1f);
                        var hatsprite = hat.AddComponent<SpriteRenderer>();
                        hatsprite.sprite = ModAPI.LoadSprite("annie bun.png");
                        hatsprite.sortingLayerName = "Top";
                        foreach (var body in person.Limbs)
                        {
                            body.BaseStrength *= 2f;                          
                            body.Health *= 33f;
                            body.BreakingThreshold *= 30f;
                            body.transform.root.localScale *= 0.99f;                         
                        }                    
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Eren Yeager S4",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "FOUNDING TITAN ITS HIM",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("eren 4_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("eren 4.png");                                 
                        person.SetBodyTextures(skin,null,null,1);                           
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                        var head = Instance.transform.GetChild(5);
                        var hat = new GameObject("Brick");
                        hat.transform.SetParent(head);
                        hat.transform.localPosition = new Vector3(0f, 0f);
                        hat.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        hat.transform.localScale = new Vector3(1f, 1f);
                        var hatsprite = hat.AddComponent<SpriteRenderer>();
                        hatsprite.sprite = ModAPI.LoadSprite("eren bun.png");
                        hatsprite.sortingLayerName = "Top";
                        foreach (var body in person.Limbs)
                        {
                            body.BaseStrength *= 2f;                          
                            body.Health *= 33f;
                            body.BreakingThreshold *= 30f;
                            body.transform.root.localScale *= 0.99f;                         
                        }                    
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Eren Yeager S4 Shirtless",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Eren is chad now",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("eren sh4_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("eren sh4.png");                                 
                        person.SetBodyTextures(skin,null,null,1);                           
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                        var head = Instance.transform.GetChild(5);
                        var hat = new GameObject("Brick");
                        hat.transform.SetParent(head);
                        hat.transform.localPosition = new Vector3(0f, 0f);
                        hat.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        hat.transform.localScale = new Vector3(1f, 1f);
                        var hatsprite = hat.AddComponent<SpriteRenderer>();
                        hatsprite.sprite = ModAPI.LoadSprite("eren bun.png");
                        hatsprite.sortingLayerName = "Top";
                        foreach (var body in person.Limbs)
                        {
                            body.BaseStrength *= 2f;                          
                            body.Health *= 33f;
                            body.BreakingThreshold *= 30f;
                            body.transform.root.localScale *= 0.99f;                         
                        }                    
                    }
                }
            );

//Rainer braun 3
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Rainer Braun sesson 1-3",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "owner of armored titan.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("rainer_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("rainer.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                   
                    }
                }
            );

//Berthold Hoover
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Berthold Hoover",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "owner of Collosal titan.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("buritoto_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("buritoto.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                   
                    }
                }
            );

//Connie Springer
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Connie Springer",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "saytama cosplayer.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("connie_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("connie.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                   
                    }
                }
            );

//Jean Kirstein
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Jean Kirstein",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "i want marry mikasa.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("jean_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("jean.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                   
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Sasha Braus",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Potato girl",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("sasha_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("sasha.png");                                 
                        person.SetBodyTextures(skin,null,null,1);                           
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                        var head = Instance.transform.GetChild(5);
                        var hat = new GameObject("Brick");
                        hat.transform.SetParent(head);
                        hat.transform.localPosition = new Vector3(0f, 0f);
                        hat.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        hat.transform.localScale = new Vector3(1f, 1f);
                        var hatsprite = hat.AddComponent<SpriteRenderer>();
                        hatsprite.sprite = ModAPI.LoadSprite("sasha bun.png");
                        hatsprite.sortingLayerName = "Top";
                        foreach (var body in person.Limbs)
                        {
                            body.BaseStrength *= 2f;                          
                            body.Health *= 33f;
                            body.BreakingThreshold *= 30f;
                            body.transform.root.localScale *= 0.99f;                         
                        }                    
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Hange Zoe",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Girl its girl",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("hange_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("hange.png");                                 
                        person.SetBodyTextures(skin,null,null,1);                           
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                        var head = Instance.transform.GetChild(5);
                        var hat = new GameObject("Brick");
                        hat.transform.SetParent(head);
                        hat.transform.localPosition = new Vector3(0f, 0f);
                        hat.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        hat.transform.localScale = new Vector3(1f, 1f);
                        var hatsprite = hat.AddComponent<SpriteRenderer>();
                        hatsprite.sprite = ModAPI.LoadSprite("hange bon.png");
                        hatsprite.sortingLayerName = "Top";
                        foreach (var body in person.Limbs)
                        {
                            body.BaseStrength *= 2f;                          
                            body.Health *= 33f;
                            body.BreakingThreshold *= 30f;
                            body.transform.root.localScale *= 0.99f;                         
                        }                    
                    }
                }
            );

//Levi Ackerman
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Levi Ackerman",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "titans i hate them bruh.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("levi_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("levi.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                   
                    }
                }
            );

//Erwin Smith
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Erwin Smith",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "my solliders scream my solliders rage my solliders charge !!!.",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("erwin_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("erwin.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                   
                    }
                }
            );

//Hange Glasses
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Mirror"),
                    NameOverride = "Hange Glasses",
                    NameToOrderByOverride = "Hange Glasses",
                    DescriptionOverride = "Hange Glasses",
                    CategoryOverride = ModAPI.FindCategory("Aot Eldia"),
                    ThumbnailOverride = ModAPI.LoadSprite("Hange Glasses_.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hange Glasses.png", 1f);
                        Instance.FixColliders();
                    }
                }
            );


        }
    }
}
